/// <reference types="node" />
import { BinaryToTextEncoding, Encoding } from 'crypto';
export type HashAlgorithm = 'sha256' | 'sha512';
export interface HashFromToOptions {
    /**
     * @default utf-8
     */
    fromEncoding?: Encoding;
    /**
     * @default base64
     */
    toEncoding?: BinaryToTextEncoding;
}
export declare function hash(input: string, algorithm?: HashAlgorithm, options?: HashFromToOptions): string;
export declare function sha256(input: string, options?: HashFromToOptions): string;
export declare function sha512(input: string, options?: HashFromToOptions): string;
